function getXMLHTTPRequest() {
var req;
try {
	req = new XMLHttpRequest();
} catch(err1) {
	try {
		req = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (err2) {
		try {
			req = new ActiveXObject("Microsoft.XMLHTTP");
			} catch (err3) {
				req = false;
			}
		}
	}
	return req;
}
//****************************************************************************************************************************
function BucarDatosViaje(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('lista1');
  
  via=document.form1.via.value;
  matricula=document.form1.matricula.value;
  fecha_ini=document.form1.fecha_ini.value;
  fecha_fin=document.form1.fecha_fin.value;  
  //stock_medi=Math.round(document.form1.stock.value);
  
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_listaviaje_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("via="+via+"&matricula="+matricula+"&fecha_ini="+fecha_ini+"&fecha_fin="+fecha_fin+"&v="+1)
		
  
}
//****************************************************************************************************************************
function DatosDeleteRuta(cod_ruta,via,fecha_ini,fecha_fin,matricula){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('mensaje');
  if (confirm("¿Esta Seguro de eliminar la ruta?")) {
  
	  ajax=getXMLHTTPRequest();
	  
	  ajax.open("POST","procesos/p_borrar_ruta.php?cod_ruta="+cod_ruta+"&via="+via+"&fecha_ini="+fecha_ini+"&fecha_fin="+fecha_fin+"&matricula="+matricula,true);
	  ajax.onreadystatechange=function() {
	  if (ajax.readyState==4) {
	  //mostrar resultados en esta capa
	  divResultado.innerHTML = ajax.responseText
	  //llamar a funcion para limpiar los inputs      
	  }
	  }
	  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	  //enviando los valores
	  ajax.send(null)
  }else{
	document.form1.fecha_ini.focus();	  
	return;
  }
}